All Classes Namespaces Files Functions Variables Typedefs Enumerator Friends Macros Groups
check_std_vector_index.hpp File Reference
`#include <stan/math/prim/scal/err/out_of_range.hpp>`
`#include <sstream>`
`#include <string>`
`#include <vector>`

Go to the source code of this file.

## Namespaces

| stan
| stan::math
| Matrices and templated mathematical functions.

## Functions

template<typename T >
bool | stan::math::check_std_vector_index (const char *function, const char *name, const std::vector< T > &y, int i)
| Return `true` if the specified index is valid in std vector. More...

[ Stan Home Page ] © 2011–2015, Stan Development Team.